package przyklady_plikowe;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class McDonalds1 {

    public static void main(String[] args) {
        try(BufferedReader input = new BufferedReader(new FileReader("mcdonalds.csv"))) {
            String linia = input.readLine();
            // pierwsza linia zawiera nazwy kolumn
            String[] naglowki = linia.split(",");
            // dalsze linie zawierają dane - czytamy dopóki nie dojdziemy na koniec pliku
            while((linia = input.readLine()) != null) {
                // System.out.println(linia);
                String[] dane = linia.split(",");
                System.out.printf("Produkt '%s' z kategorii %s ma %s kalorii przy rozmiarze %s%n",
                        dane[1], dane[0], dane[3], dane[2]);
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
